from machine import Pin, PWM
import constants
import parameters


buzzer = PWM(Pin(constants.BUZZER_PIN))
buzzer.duty_u16(0)

def sing_alarm():
    if parameters.ANNOYING_BUZZER_ENABLED:
        tone = constants.ANNOYTING_BUZZER_TONE 
    else:
        tone = constants.NORMAL_BUZZER_TONE 
    buzzer.duty_u16(tone)


def stop():
    buzzer.duty_u16(0)


def sing_tone(tone):
    buzzer.duty_u16(tone)
